%global debug_package %{nil}

Name:           ocaml-extlib
Version:        1.7.8
Release:        2
Summary:        A set of additional useful functions and modules for OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/ygrek/ocaml-extlib
Source0:        https://github.com/ygrek/ocaml-extlib/releases/download/%{version}/extlib-%{version}.tar.gz

BuildRequires:  gawk ocaml >= 4.00.1 ocaml-camlp4-devel ocaml-cppo
BuildRequires:  ocaml-findlib-devel >= 1.3.3-3 ocaml-ocamldoc

%description
A complete yet small extension for OCaml standard library (reduced, recommended)

The purpose of this library is to add new functions to OCaml standard library modules, to modify
some functions in order to get better performances or safety (tail-recursive) and also to provide
new modules which should be useful for day to day programming.

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package provides libraries and some other development documents for developing applications
that use %{name}.

%prep
%autosetup -p1 -n extlib-%{version}

%build
# Parallel builds do not work.
unset MAKEFLAGS
make build -j1

%install
export DESTDIR=$RPM_BUILD_ROOT OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR/stublibs
%make_install
strip %{buildroot}/%{_libdir}/ocaml/extlib/extLib.cmxs

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/extlib
%exclude %{_libdir}/ocaml/extlib/*.{a,cmx,cmxa,mli}

%files devel
%{_libdir}/ocaml/extlib/*.{a,cmx,cmxa,mli}

%changelog
* Thu Dec 08 2022 xu_ping <xuping33@h-partners.com> - 1.7.8-2
- Remove the debugging information of extLib.cmxs

* Fri Apr 15 2022 yaoxin <yaoxin30@h-partners.com> - 1.7.8-1
- Upgrade ocaml-extlib to 1.7.8

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.7.5-5
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Wed Feb 26 2020 zhouyihang<zhouyihang1@huawei.com> - 1.7.5-4
- Package init
